#
# spec file for package NetworkManager-gnome (Version 0.7.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           NetworkManager-gnome
Url:            http://www.gnome.org/projects/NetworkManager/
Version:        0.7.1
Release:        5.5.1
License:        GPLv2+
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  NetworkManager-devel NetworkManager-glib PolicyKit-gnome-devel dbus-1-devel dbus-1-glib gconf2-devel gnome-keyring-devel gtk2-devel hal-devel intltool libglade2-devel libnotify-devel libtool update-desktop-files
Group:          System/GUI/GNOME
Summary:        GNOME applications for use with NetworkManager
Source:         network-manager-applet-%{version}.tar.bz2
Source1:        nm-icons.tar.gz
Patch1:         0001-Build-fix.patch
Patch2:         0002-Autostart-nm-applet-in-GNOME-LXDE-session-only.patch
Patch3:         0003-Use-ModemManager.patch
Patch4:         0004-Fallback.patch
Patch5:         0005-CA-system-certificates.patch
Patch6:         0006-No-show-password.patch
Patch7:         0007-Fix-a-segfault-on-WPA-EAP-TTLS-connections-with-CHAP.patch
Patch8:         0008-2009-04-15-Alexander-Sack-asac-ubuntu.com.patch
Patch9:         nma-mm-api-change.patch
Patch10:        nma-wired-8021x-authentication.patch
Patch11:        nma-brc546793.patch
Patch12:        nma-brc546117.patch
#Fix nm-connection-editor crash when edit/add VPN connection, bnc#611630, bili@novell.com
Patch13:        nma-gconf-new-crash.patch
Provides:       NetworkManager-client
Requires:       NetworkManager >= 0.7.1
Requires:       hal >= 0.5.0

%description
This package contains GNOME utilities and applications for use with
NetworkManager, including a panel applet for wireless networks.



Authors:
--------
    Dan Williams <dcbw@redhat.com>
    Robert Love <rml@novell.com>

%prep
%setup -n network-manager-applet-0.7.1 -a 1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
# -fno-strict-aliasing added 2009-04-28. Need for build with gcc 4.4 at that time.
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
autoreconf -f -i
%configure \
    --with-notify
# parallel build is broken
# make %{?jobs:-j%jobs}
make

%install
%makeinstall
%suse_update_desktop_file nm-applet
%suse_update_desktop_file nm-connection-editor
# Change sr@Latn to sr@latin
mv %{buildroot}%{_datadir}/locale/sr@Latn %{buildroot}%{_datadir}/locale/sr@latin
%find_lang nm-applet
cp -r nm-icons/* $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/

%clean
rm -rf "$RPM_BUILD_ROOT"

%files -f nm-applet.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS AUTHORS README CONTRIBUTING
%{_bindir}/nm-applet
%{_bindir}/nm-connection-editor
%{_bindir}/nm-modem-properties
%{_datadir}/nm-applet
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_sysconfdir}/dbus-1/system.d/nm-applet.conf
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_datadir}/applications/nm-connection-editor.desktop

%changelog
* Fri Jun  4 2010 bili@novell.com
- Add nma-gconf-new-crash.patch, fix nm-connection-editor crash
  when edit/add VPN connection(bnc#611630, swampid#33814).
* Mon Jan 25 2010 tambet@novell.com
- Fix CVE-2009-4144 NetworkManager: WPA enterprise network not
  verified when certificate is removed,
  CVE-2009-4145 NetworkManager: information disclosure by
  nm-connection-editor (bnc #565549).
* Fri Sep 25 2009 andrea@opensuse.org
- Replaced 0002-Autostart-nm-applet-in-GNOME-session-only.patch
  with 0002-Autostart-nm-applet-in-GNOME-LXDE-session-only.patch:
  Add LXDE to OnlyShowIn, as LXDE uses the gtk2 NetworkManager.
* Fri Sep  4 2009 tambet@novell.com
- Fix the 802.1x wired authentication dialog to use the entered
  secrets (bnc #525401).
* Tue Aug 25 2009 tambet@novell.com
- The ModemManager API signatures have been changed for some calls,
  adjust the calling code (bnc #533261).
* Thu Jun 11 2009 vuntz@novell.com
- Remove libgnomeui-devel BuildRequires, which isn't needed.
* Wed May 27 2009 tambet@novell.com
- Update to 0.7.1.
* Tue Apr 28 2009 vuntz@novell.com
- Add -fno-strict-aliasing to CFLAGS to fix build with gcc 4.4.
* Sun Feb  1 2009 vuntz@novell.com
- Use sr@latin instead of sr@Latn.
* Sun Jan 25 2009 vuntz@novell.com
- Call %%suse_update_desktop_file on all desktop files. Part of
  bnc#445728.
* Mon Jan 12 2009 michael.meeks@novell.com
- Hide all "Show Password" widgets from the UI.
* Fri Jan  9 2009 tambet@novell.com
- Hide characters entered to the PIN request entry (bnc #456722).
- Add widgets to allow choosing CA from system "database"
  (bnc #456050).
* Wed Dec  3 2008 tambet@novell.com
- Rebase from the official NetworkManager 0.7.0 release:
  + Update translations: de, sv.
* Fri Nov 21 2008 tambet@novell.com
- Fix conversion of NM 0.6 vpnc connections with custom routes.
- Add support for PKCS#12 certificates.
- Fix a bunch of non-accurate warnings.
- Lot's of small bug fixes.
- Updated translations: es, hu, pl.
* Fri Nov 14 2008 tambet@novell.com
- Fix private key handling.
* Mon Nov  3 2008 tambet@suse.de
- Use the accessors provided by NM instead of poking the private
  structures directly for settings. (a.k.a make it built with the
  latest NetworkManager again.)
* Fri Oct 24 2008 tambet@suse.de
- Updated connection editor UI.
- List certificates with '.cer' and '.crt' extensions too.
- Update translations: be, cs, de, es, fi, fr, he, hu, nb, pl, sk, sv.
* Fri Oct 10 2008 tambet@suse.de
- Upgrade from upstream:
  + Correct translatables in the UI (bgo #554193).
  + Accept more delimiters for DNS servers and searches.
  + Update translations: es, et, fi, hu, nb, sv
* Fri Sep 26 2008 tambet@suse.de
- Upgrade from upstream:
  + Fix some memory leaks.
  + Fix names & constants to accurately reflect the network
    technologies (bgo #551361).
  + Fix some issues with upgrading gconf data (bgo #553465).
  + Handle VPN login failures (bnc #395564).
  + Updated translations: fr fi lt sv eu cs it.
* Fri Sep 12 2008 tambet@suse.de
- Add a progress dialog for GSM modem scanning.
- Update from the SVN:
  + Fix a crasher bug in connection editor (bnc #426661).
  + Fix a bug causing to not store secrets in keyring.
  + Update translations: fi, he, nl.
* Fri Sep 12 2008 tambet@suse.de
- Bring up to date with SVN.
- Add a patch to make use of ModemManager. That allows us to use
  more advanced features like signal quality monitoring, scanning,
  and seeing more information about modems.
- Require NetworkManager >= 0.7.0.r4060 since '0.7.0' is too vague.
- Build fixes required to compile with newer kernels.
* Fri Aug  1 2008 tambet@suse.de
- Bring up to date with SVN again.
* Mon Jun 30 2008 tambet@suse.de
- Bring up to date with SVN again.
* Wed May 28 2008 sbrabec@suse.cz
- Do not call gtk-update-icon-cache (bnc#395056).
* Fri May 23 2008 tambet@suse.de
- Show error dialog if updating, adding, or removing connection fails in
  connection editor.
- Implement changing connection type in connection editor (bnc #390170).
- Update GConf connections after all the changes are done to avoid invalid
  connection states while in between changes.
- Add a "DHCP with manual DNS settings" IP4 configuration method.
* Fri May  9 2008 tambet@suse.de
- Upgrade to the latest SVN:
  Use PolicyKit to restrict system connections editing.
  Implement PIN code requesting for GSM devices.
  Implement system connections editing.
  Allow adding new connections in the connection editor.
  Improve connection editor pages.
  Lots of bug fixes.
* Fri Apr 11 2008 tambet@suse.de
- Upgrade to the latest SVN:
  Rework the wireless security handling to support wired 802.1x.
  Implement wired 802.1x authentication.
  Remove the iwlib dependecy.
  Implement DSL handling.
  Implement editing in connection editor for most of the connection types.
  Add the WEP key index selector.
  Add an ID to connections to handle connection name changes correctly.
  Bug fixes.
* Thu Mar 13 2008 tambet@suse.de
- Upgrade to the latest SVN:
  Support for multiple active devices.
  Adapt NetworkManager API changes.
- Don't autostart nm-applet in KDE (bnc #367258).
- Disable "Add" and "Edit" buttons in connection editor - these aren't
  implemented yet and only crash the editor (bnc #368750).
* Fri Feb 29 2008 tambet@suse.de
- Upgrade to the latest SVN.
* Mon Feb  4 2008 tambet@suse.de
- Update to the latest SVN.
* Fri Jan 11 2008 maw@suse.de
- Remove unnecessary Requires
- Parallel build is broken, so don't build in parallel.
* Wed Nov 28 2007 tambet@suse.de
- New spec file, split from NetworkManager.
